﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Threading.Tasks;

using Integrations.Api.Sdk;

using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;

using NSwag.Annotations;

using WebApplication.Services;

namespace WebApplication.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class TestController : ControllerBase
    {
        private readonly ILogger<TestController> _logger;
        private readonly IIntegrationService _integrationService;

        public TestController(ILogger<TestController> logger, IIntegrationService integrationService)
        {
            _logger = logger;
            _integrationService = integrationService;
        }

        [HttpGet]
        [SwaggerResponse(HttpStatusCode.OK, typeof(Facilities))]
        public async Task<IActionResult> Get()
        {
            var result = await _integrationService.GetFacilities();
            return Ok(result);
        }
    }
}
