﻿using System.Collections;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

using Integrations.Api.Sdk;

namespace WebApplication.Services
{
    public class IntegrationService : IIntegrationService
    {
        private readonly FacilitiesClient _facilityClient;

        public IntegrationService(
            HttpClient client)
        {
            _facilityClient = new FacilitiesClient(client);
        }

        public Task<Facilities> GetFacilities()
        {
            return _facilityClient.FacilitiesGetAsync();
        }
    }

    public interface IIntegrationService
    {
        Task<Facilities> GetFacilities();
    }
}
